Uploaded image for project: 'Service Packs and Hot Fixes'
  1. Service Packs and Hot Fixes
  2. MNT-20549

spring surf libraries are inconsistent versions between repo and share wars

    Details

    • Bug Priority:
      Category 3
    • ACT Numbers:

      00987986

      Description

      Summary

      The spring jars are not consistent between the alfresco and share wars. In particular the webscript ones. This is a problem up until the 6.1.0 ACS distribution.

      ex. 5.2.4

      Expected

      • the spring-webscripts*.jar and spring-surf-core-*.jars be same version in alfresco and share war with distributions

      Actual

      • the spring-webscripts and spring-surf-core jars are not the same versions in alfresco and share wars, until version 6.1.0 ACS distributions

      5.2.1 - 5.2.4: alfresco has 6.13 jars, share has 6.15 jars
      6.0.0: alfresco has 6.19 jars, share has 6.18 jars
      6.0.1: alfresco has 6.20 jars, share has 6.18 jars
      6.1.0: alfresco has 6.20 jars , share has 6.20 jars

      Additional Information

      Customers trying to extend 5.2.4 and is unclear which version they need to use. Also version 6.13 is not available in nexus.alfresco.com

        Attachments

          Issue Links

            Structure

              Activity

                People

                • Assignee:
                  closedbugs Closed Bugs
                  Reporter:
                  jsoria Jennie Soria [X] (Inactive)
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Structure Helper Panel